Bug 1584426 - Upstream Nginx 1.14.0 is now available
Summary: Upstream Nginx 1.14.0 is now available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nginx
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-30 21:48 UTC by Joe Doss
Modified: 2018-11-24 02:27 UTC (History)
17 users (show)

Fixed In Version: nginx-1.14.1-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-24 02:27:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Joe Doss 2018-05-30 21:48:45 UTC
Nginx 1.14.0 is now available as the current stable release [1] [2] [3]. Can we get a version bump for Fedora 28?  I have Nginx 1.40.0 built on my copr account [4] and we have tested out the GRPC proxy features which seem to be working well. 

[1] http://nginx.org/en/CHANGES-1.14
[2] http://nginx.org/download/nginx-1.14.0.tar.gz
[3] http://nginx.org/download/nginx-1.14.0.tar.gz.asc
[4] https://copr.fedorainfracloud.org/coprs/jdoss/nginx/

Comment 1 Joe Doss 2018-06-12 22:12:24 UTC
Created a PR from a remote repo https://src.fedoraproject.org/rpms/nginx/pull-request/2 to get this package updated.

Comment 2 Luc de Louw 2018-06-21 10:54:19 UTC
Meanwhile it is 1.15 and one of the major changes is to fix it to be able to get it compiled on Fedora and GCC 8.1 

See also: http://nginx.org/en/CHANGES

Thanks,

Luc

Comment 3 sedrubal 2018-10-24 21:16:59 UTC
Is there a chance, that nginx 1.15 will be available in Fedora 29?

Comment 4 Gray Marchiori-Simpson 2018-11-09 10:48:18 UTC
I think this is a great example of a package that needs Modularity - so that both Mainline (Odd number) and LTS/Stable (Even number) releases can be available. Still though, it's sad that 1.14 didn't make it into Fedora 29, since 29 ships with SSL 1.1.1, and Nginx 1.12 doesn't support TLS 1.3.

Can this be targeted for 30?

Comment 5 Gray Marchiori-Simpson 2018-11-09 11:06:03 UTC
Correction - doesn't support managing TLS 1.3. It does still *work*.

Comment 6 Fedora Update System 2018-11-20 13:03:33 UTC
nginx-1.14.1-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f3c7598d83

Comment 7 Fedora Update System 2018-11-20 23:55:49 UTC
nginx-1.14.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7c540fdab4

Comment 8 Fedora Update System 2018-11-20 23:56:11 UTC
nginx-1.14.1-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa3752ac3c

Comment 9 Fedora Update System 2018-11-20 23:56:36 UTC
nginx-1.14.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c271659b1e

Comment 10 Fedora Update System 2018-11-21 04:32:16 UTC
nginx-1.14.1-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa3752ac3c

Comment 11 Fedora Update System 2018-11-21 05:11:31 UTC
nginx-1.14.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7c540fdab4

Comment 12 Fedora Update System 2018-11-21 14:31:15 UTC
nginx-1.14.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c271659b1e

Comment 13 Fedora Update System 2018-11-24 02:27:24 UTC
nginx-1.14.1-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.